Skip to content

Change the size of a sandbox Vault for the authenticated Vault. You can initiate this action if there are sufficient allowances and the current sandbox meets the data and user limits of the requested size. Learn more about sandbox sizes in Vault Help.

POST/api/{version}/objects/sandbox/batch/changesize
NameDescription
Acceptapplication/json (default) or application/xml
Content-Typeapplication/json

In the body of the request, include a raw JSON object with the following information:

NameDescription
name
required
The name of the sandbox Vault.
size
required
The requested size of the sandbox: Small, Medium, Large, Very Large, Extra Large, or Full. Learn more about sandbox sizes and their limits in Vault Help.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/json" \ -d "[ { “name”: “SandboxA”, “size”: “Full” } ]\ https://myvault.veevavault.com/api/v25.1/objects/sandbox/batch/changesize
{ "responseStatus": "SUCCESS", "responseMessage": null, "errorCodes": null, "errorType": null }

On SUCCESS, the response includes the responseStatus and lists any errors encountered.